make_datetime {lubridate} | R Documentation

## Efficient creation of date-times from numeric representations

### Description

`make_datetime()` is a very fast drop-in replacement for `base::ISOdate()` and `base::ISOdatetime()`. `make_date()` produces objects of class `Date`.

### Usage

    make_datetime(year = 1970L, month = 1L, day = 1L, hour = 0L, min = 0L,
      sec = 0, tz = "UTC")

    make_date(year = 1970L, month = 1L, day = 1L)

### Arguments

`year` | numeric year
`month` | numeric month
`day` | numeric day
`hour` | numeric hour
`min` | numeric minute
`sec` | numeric second
`tz` | time zone. Defaults to UTC.

### Details

Input vectors are silently recycled. All inputs except `sec` are silently converted to integer vectors; `sec` can be either integer or double.

### Examples

    make_datetime(year = 1999, month = 12, day = 22, sec = 10)
    make_datetime(year = 1999, month = 12, day = 22, sec = c(10, 11))

[Package lubridate version 1.7.4 Index]